Doomsday Engine - Bug #1910

[1420, Hexen] Record::operator [] Variable 'songLump’ not found

2014-11-23 16:59 - danij

Status:
Priority:
Assignee:
Category:

Target version:

Closed
High
danij

Regression

Start date: 2014-11-23
% Done: 100%

Description

When attempting to play the Hexen expansion DKotDC, Doomsday quits with the following error message during startup:
Loop: Uncaught exception during loop iteration:

[NotFoundError] (Record::operator []) Variable 'songLump’ not found

See: http://dengine.net/forums/viewtopic.php?f=7&t=1917

Associated revisions

Revision 360e4e22 - 2014-11-23 21:12 - danij
Fixed|Hexen: Record Variable 'songLump' not found
Removed obsolete logic for the Hexen specific, "currentMap" handling

Updated the SndinfoParser to modify the relevant Music definition
directly (Hexen uses separate Music definitions for each map).

IssuelD #1910

History

#1 - 2014-11-23 17:00 - danij

- Assignee set to danij

- Priority changed from Normal to High

- Target version set to 49

#2 - 2014-11-23 17:06 - danij

- Status changed from New to In Progress

#3 - 2014-11-23 17:07 - danij
- Subject changed from [1420, Hexen DK] Record::operator [] Variable 'songLump’ not found to [1420, Hexen] Record::operator [] Variable

'songLump' not found

#4 - 2014-11-23 21:20 - danij

- Status changed from In Progress to Closed

- % Done changed from 0 to 100

#5 - 2015-06-08 10:47 - skyjake
- Target version deleted (49)
